import java.awt.*;
import java.applet.*;

public class ExceptionApplet2 extends Applet
{
    TextField textField1, textField2;
    String answerStr;

    public void init()
    {
        textField1 = new TextField(15);
        add(textField1);
        textField2 = new TextField(15);
        add(textField2);
        answerStr = "Undefined";
    }

    public void paint(Graphics g)
    {
        Font font = new Font("TimesRoman", Font.PLAIN, 24);
        g.setFont(font);

        g.drawString("The answer is:", 50, 100);
        g.drawString(answerStr, 70, 130);
    }

    public boolean action(Event evt, Object arg)
    {
        String str1 = textField1.getText();
        String str2 = textField2.getText();

        try
        {
            int int1 = Integer.parseInt(str1);
            int int2 = Integer.parseInt(str2);
            int answer = int1 / int2;
            answerStr = String.valueOf(answer);
        }
        catch (NumberFormatException e)
        {
            answerStr = "Bad number!";
        }

        repaint();
        return true;
    }
}

